## org.apache.poi.xslf.model
Class PropertyFetcher<T>

    java.lang.Object
      org.apache.poi.xslf.model.PropertyFetcher<T>

Direct Known Subclasses:
  ParagraphPropertyFetcher, TextBodyPropertyFetcher

    @Internal
    public abstract class PropertyFetcher<T>

extends java.lang.Object

Used internally to navigate the PresentationML text style hierarchy and fetch properties

Author:
  Yegor Kozlov

Constructor Summary
`PropertyFetcher()`

Method Summary
`abstract boolean` `fetch(XSLFSimpleShape shape)`
`T` `getValue()`
`void` `setValue(T val)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyFetcher

    public PropertyFetcher()

Method Detail

### fetch

    public abstract boolean fetch(XSLFSimpleShape shape)

  Parameters:
    `shape` - the shape being examined
  Returns:
    true if the desired property was fetched

### getValue

    public T getValue()

### setValue

    public void setValue(T val)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.